Summary: Adwaita icon theme
Name: adwaita-icon-theme
Version: 3.14.0
Release: 1%{?_dist_release}
Source0: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.14/%{name}-%{version}.tar.xz
License: CC-BY-SA,LGPLv3
BuildArch: noarch
Group: User Interface/Desktops
Requires: hicolor-icon-theme
Requires(post): gtk2
BuildRequires: icon-naming-utils >= 0.8.7
BuildRequires: gtk2
BuildRequires: pkgconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi

%description
%{summary}

%prep
%setup -q

%build
%configure --disable-hicolor-check

%install
rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  for dir in /usr/share/icons/*; do
    if [ -d "$dir" -a -f "$dir/index.theme" ]; then
      /usr/bin/gtk-update-icon-cache --quiet $dir ||:
    fi
  done
fi
		  

%files
%defattr(-,root,root)
%doc COPYING COPYING_CCBYSA3 COPYING_LGPL NEWS README
%{_datadir}/icons/Adwaita
%{_datadir}/pkgconfig/%{name}.pc


%changelog
* Sun Oct 26 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.14.0-1
- initial build

