Name:    libindicate-qt
Summary: Qt bindings for libindicate
Summary(ja): libindicate の Qt バインディング
Version: 0.2.5.91
Release: 1%{?_dist_release}

Group:   System Environment/Libraries
License: LGPLv3+
URL:     https://launchpad.net/libindicate-qt

Source0: https://launchpad.net/%{name}/libindicate-0.5/%{version}/+download/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: cmake
BuildRequires: qt4-devel
BuildRequires: libindicate-devel

%description
This project provides a set of Qt bindings for libindicate, the
indicator system developed by Canonical Desktop Experience team.

%package devel
Summary: Developer files for %{name}
Summary(ja): %{name} の開発用ファイル
Group:   Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{summary}.

%prep
%setup -q 

sed -i 's|indicate-0\.5|indicate-0\.7|g' CMakeLists.txt

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf $RPM_BUILD_ROOT

make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files 
%defattr(-,root,root,-)
%doc COPYING.LIB.* NEWS README
%{_libdir}/libindicate-qt.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libindicate-qt
%{_libdir}/libindicate-qt.so
%{_libdir}/pkgconfig/indicate-qt.pc

%changelog
* Mon Nov  3 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.2.5.91-1
- updated to 0.2.5.91 (trunk)
- rebuilt with libindicate-12.10.1

* Fri Feb 18 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.5-1
- Initial build for Vine Linux
