Summary: Portable implementation of the `which' utility 
Name: perl-File-Which
Version: 1.09
Release: 1%{_dist_release}
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/~pereinar/File-Which/

Source0: http://search.cpan.org/CPAN/authors/id/P/PE/PEREINAR/File-Which-%{version}.tar.gz
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.60
BuildRequires: perl(Test::More) >= 0.80
BuildRequires: perl(Test::Script) >= 1.05
Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor: Project Vine
Distribution: Vine Linux

%description
File::Which is a portable implementation (in Perl) of `which', and can
be used to get the absolute filename of an executable program
installed somewhere in your PATH, or just check for its existence. It
includes the command-line utility `pwhich' which has the same function
as `which'.

%prep
%setup -q -n File-Which-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
#chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes README 
%{_bindir}/pwhich
%dir %{perl_vendorlib}/File
%{perl_vendorlib}/File/*
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Sat Nov  8 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.09-1
- updated to 1.09
- built with perl 5.16.3

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.05-2
- rebuild with perl-5.12.3

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 0.05-1
- rebuilt with perl-5.10.0.

* Tue Dec  5 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.05-0vl1
- First build for Vine Linux
