%define name	poppler-data
%define version	0.4.7
%define release	3%{?_dist_release}

Summary:	Poppler encoding data.
Summary(ja): 	Poppler 用のエンコード用データ
Name:		%{name}
Version:	%{version}
Release: 	%{release}
Source0:	http://poppler.freedesktop.org/%{name}-%{version}.tar.gz
License:	GPLv2 with exceptions
Group:		System Environment/Libraries
URL:		http://poppler.freedesktop.org/

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux

%description
This package consists of encoding files for use with poppler.
These files enables poppler to correctly render CJK and 
Cyrillic properly. 

%description -l ja
このパッケージは poppler で使用するエンコード用のファイルを
提供します。これらのファイルにより CJK (中国語と日本語、および
韓国語)やキリル文字を poppler で適切に描画できるようなります。


%package devel
Summary: Developer files for %{name}
Summary(ja): %{name} の開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package consists of development files for poppler.


%prep
%setup -q

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} DESTDIR=$RPM_BUILD_ROOT datadir=%{_datadir} install


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc COPYING COPYING.adobe COPYING.gpl2 README 
%{_datadir}/poppler

%files devel
%{_datadir}/pkgconfig/poppler-data.pc

%changelog
* Sun Nov 02 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.4.7-3
- fixed typo...

* Sat Nov 01 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.4.7-2
- added Group tag to devel package

* Fri Sep 05 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.7-1
- new upstream release
- splitted subpackage -devel

* Sun Nov 04 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.6-1
- new upstream release

* Mon Jan 16 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.5-1
- new upstream release
- added COPYING.adobe and COPYING.gpl2 in %%doc

* Tue May 31 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.4-1
- new upstream release

* Fri Oct 15 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.4.3-1
- new upstream release

* Sun Mar 21 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.4.0-1
- new upstream release

* Mon Nov  2 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.0-1
- new upstream release

* Fri Oct 10 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.1-1
- new upstream release

* Sat Aug 30 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.0-2
- spec in UTF-8

* Mon Mar 31 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.0-1
- rebuild with new versioning policy.

* Sun Dec 30 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.2.0-0vl1
- new upstream release.

* Sat Oct 27 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1.1-0vl1
- new upstream release.

* Sun Sep 09 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.1-0vl1
- initial build for Vine Linux.
