%define	pyver		%(python -c 'import sys;print(sys.version[0:3])')

Name:		pyxdg
Summary:	Python library to access freedesktop.org standards
Summary(ja): 	freedesktop.org 標準にアクセスする為の Python ライブラリ
Version:	0.25
Release: 	1%{?_dist_release}

License:	LGPL
Group:		System Environment/Libraries
URL:		http://freedesktop.org/Software/pyxdg

Source0:	http://www.freedesktop.org/~lanius/%{name}-%{version}.tar.gz

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python
BuildRequires:  python-devel
Requires:	python


%description
PyXDG is a Python library to access freedesktop.org standards.

%description -l ja
PyXDG は freedesktop.org のデスクトップ標準にアクセスする為の
Python ライブラリです。

%prep
%setup -q


%build
%{__python} setup.py build


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --skip-build --root ${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL PKG-INFO README TODO
#%{_libdir}/python%{pyver}/site-packages/xdg
#%{_libdir}/python%{pyver}/site-packages/pyxdg-0.17-py2.5.egg-info
%{_prefix}/lib/python%{pyver}/site-packages/xdg
%{_prefix}/lib/python%{pyver}/site-packages/pyxdg-%{version}-py%{pyver}.egg-info

%changelog
* Fri Oct  3 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.25-1
- updated to 0.25

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.19-2
- rebuild with python-2.7.2

* Sat Jan 28 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.19-1
- new upstream release
- added patch0 from Debian

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.17-2
- rebuilt with python-2.6.4
- fixed site-packages directory

* Fri Nov 07 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 0.17-1
- initial build for Vine Linux
