Name:			qqwing
Summary:		Sudoku generating and solving software 
Summary(ja):	数独生成＆解析ソフトウェア
Version:		1.3.2
Release:		1%{?_dist_release}
License:		GPLv2
Group:			Applications/Games
URL:			http://qqwing.com/
Source:			%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor:			Project Vine
Distribution:	Vine Linux
Packager:		Takemikaduchi

%description
QWing is Sudoku generating and solving software that has been ported
to 3 programming languages: C++, Java, and JavaScript.
Various versions are available to run on different platforms and
different environments.


%package        devel
Summary:        Development tools for %{name}
Summary(ja):    %{name} の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the %{name}.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc  COPYING NEWS
%{_bindir}/%{name}
%{_libdir}/libqqwing.so.*
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/qqwing.hpp
%{_libdir}/libqqwing.so
%{_libdir}/pkgconfig/qqwing.pc


%changelog
* Tue Oct 28 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.3.2-1
- initial build

