Name: 		thunar-media-tags-plugin
Summary:        Adds ID3/OGG tag support to the Thunar bulk rename dialog
Version:        0.2.1
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/thunar-plugins/%{name}

Source0: 	http://archive.xfce.org/src/thunar-plugins/%{name}/0.2/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

BuildRequires:  Thunar-devel >= 1.0.1
BuildRequires:  gtk2-devel >= 2.12.0
BuildRequires:  libexo-devel >= 0.5.0
BuildRequires:  taglib-devel >= 1.4

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, inagaki


%description
The thunar-media-tags-plugin is a plugin for the Thunar File Manager, 
which adds ID3/OGG tag support to the bulk rename dialog.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/thunarx-2/%{name}.so


%changelog
* Sun Sep 14 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 0.2.1-1
- updated to 0.2.1

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-2
- rebuild with VineSeed environment

* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- initial build for Vine Linux

