Name: 		xfce4-timer-plugin
Summary:        Timer plugin for the Xfce4 panel
Summary(ja):    Xfce パネル用 タイマープラグイン
Version:        1.6.0
Release: 	1%{?_dist_release}

Group: 		User Interface/Desktops
License:	GPLv2+
URL: 		http://goodies.xfce.org/projects/panel-plugins/%{name}

Source0: 	http://archive.xfce.org/src/panel-plugins/%{name}/0.6/%{name}-%{version}.tar.bz2

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires:  glib2-devel >= 2.4.0
BuildRequires:  gtk2-devel >= 2.4.0
BuildRequires:  libxfce4util-devel >= 4.3.0
BuildRequires:  libxfce4ui-devel >= 4.8.0
BuildRequires:  xfce4-panel-devel >= 4.8.0
Requires:       xfce4-panel >= 4.8.0

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi, inagaki


%description
This is a simple plugin that lets the user run an alarm at a specified time or at the end of a specified countdown period. 

%description -l ja
ユーザーが指定した時刻または指定された指定したカウントダウン時間の終わりにアラームを鳴らすためのシンプルなプラグインです。

%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
    touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
fi


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libexecdir}/xfce4/panel-plugins/xfce4-timer
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/xfce4/panel-plugins/xfce4-timer.desktop

%changelog
* Tue Sep 23 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 1.6.0-1
- updated to 1.6.0

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.4-2
- rebuild with VineSeed environment

* Thu Jun 07 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.4-1
- initial build for Vine Linux

