Summary: Recompression utilities for .PNG, .MNG and .ZIP files
Summary(ja): .PNG や .MNG 、.ZIP ファイルの再圧縮ユーティリティ
Name: advancecomp
Version: 1.19
Release: 2%{?_dist_release}

License: GPLv2
Group:	Applications/Archiving
URL: http://advancemame.sourceforge.net

Source0: %{name}-%{version}.tar.gz

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: groff
BuildRequires: gzip
BuildRequires: tar
BuildRequires: tofrodos
BuildRequires: zlib-devel

%description
AdvanceCOMP contains recompression utilities for your .zip
archives, .png images, .mng video clips and .gz files.

%description -l ja
AdvanceCOMP には .zip アーカイブ、.png 画像、.mng ビデオクリップや 
.gz ファイル用の再圧縮ユーティリティが含まれます。

%prep

%setup -q -n %{name}-%{version}

%build

%configure

# this does not work
#    --enable-bzip2

%{__make} %{?_smp_mflags}

%{__make} check

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING HISTORY INSTALL README doc/*.html doc/*.txt
%{_bindir}/advzip
%{_bindir}/advpng
%{_bindir}/advmng
%{_bindir}/advdef
%{_mandir}/man1/*


%changelog
* Fri Sep 26 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> - 1.19-2
- changed Group to Applications/Archiving

* Sat Jul 12 2014 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.19-1
- new upstream release
- added BuildRequires: tofrodos

* Sun Dec 19 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.15-2
- spec in utf-8

* Sat Dec 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.15-1
- initial build for VineSeed

* Tue Sep 01 2009 Thierry Vignaud <tvignaud@mandriva.com> 1.15-5mdv2010.0
+ Revision: 423971
- rebuild
- rebuild

* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.15-3mdv2009.0
+ Revision: 226128
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1.15-2mdv2008.1
+ Revision: 135817
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.15-2mdv2007.0
+ Revision: 101583
- Import advancecomp

* Wed Jun 28 2006 Lenny Cartier <lenny@mandriva.com> 1.15-2mdv2007.0
- rebuild

* Tue Mar 21 2006 Lenny Cartier <lenny@mandriva.com> 1.15-1mdk
- 1.15

* Fri Oct 07 2005 Nicolas L馗ureuil <neoclust@mandriva.org> 1.14-2mdk
- Fix BuildRequires
- %%mkrel

* Mon Sep 19 2005 Pascal Terjan <pterjan@mandriva.org> 1.14-1mdk
- 1.14
- fix build on 64 bits (P0 from Fedora)

* Fri Jan 14 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.13-1mdk
- initial mandrake package
