Name:           libmodplug
Version:        0.8.8.5
Release:        1%{?_dist_release}
Summary:        Modplug mod music file format library

Group:          System Environment/Libraries
License:        Public Domain
URL:            http://modplug-xmms.sourceforge.net/
Source0:        http://downloads.sourceforge.net/modplug-xmms/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.8.4-timiditypaths.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
%{summary}.

%package        devel
Summary:        Development files for the Modplug mod music file format library
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
%{summary}.


%prep
%setup -q
%patch0 -p1
%__chmod -c -x src/tables.h
%__sed -i -e 's/\r//g' ChangeLog


%build
%configure
%__make %{?_smp_mflags}


%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT
%__rm -f $RPM_BUILD_ROOT%{_libdir}/*.la


%check
%__make check


%clean
%__rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_libdir}/libmodplug.so.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/libmodplug/
%{_libdir}/libmodplug.so
%{_libdir}/pkgconfig/libmodplug.pc


%changelog
* Sun Aug 24 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.8.8.5-1
- new upstream release

* Fri Sep 17 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.8.8.1-1
- initial build

* Mon Jun 21 2010 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.1-2
- Make -devel main package dependency ISA qualified.

* Wed Apr  7 2010 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.8.1-1
- Update to 0.8.8.1 (#580021).
- Drop explicit pkgconfig dependency from -devel (autodetected in F-12+).

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 27 2009 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.7-1
- Update to 0.8.7 (security, #496834).

* Tue Apr 14 2009 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.5-1
- Update to 0.8.5, should fix #483146.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:0.8.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  9 2008 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.4-3
- Rebuild.

* Tue Aug 21 2007 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.4-2
- Rebuild.

* Wed Apr  4 2007 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8.4-1
- 0.8.4.

* Tue Oct  3 2006 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8-3
- Apply patch for CVE-2006-4192 (from Debian).

* Mon Aug 28 2006 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8-2
- Rebuild.

* Fri Mar 24 2006 Ville Skyttä <ville.skytta@iki.fi> - 1:0.8-1
- 0.8, 64bit patch included upstream.

* Mon Feb 13 2006 Ville Skyttä <ville.skytta@iki.fi> - 1:0.7-5
- Rebuild, cosmetics.

* Tue Aug 23 2005 Ville Skyttä <ville.skytta@iki.fi> - 1:0.7-4
- Don't ship static libs.

* Tue Aug 23 2005 Ville Skyttä <ville.skytta@iki.fi> - 1:0.7-3
- Fix x86_64, thanks to Adam Goode (#166127).

* Thu Mar 17 2005 Ville Skyttä <ville.skytta@iki.fi> - 1:0.7-2
- Build with dependency tracking disabled.
- Run tests in the %%check section.

* Fri Oct 17 2003 Ville Skyttä <ville.skytta@iki.fi> - 1:0.7-0.fdr.1
- First build, separated from xmms-modplug.
- Bump Epoch.
