Summary:	A collection of icons used as the basis for MATE themes
Name:		mate-icon-theme
Version:	1.8.0
Release:	2%{?_dist_release}
Source:		http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
License:	LGPLv3 or CC BY-SA 3.0
Group:		User Interface/Desktops
URL:		http://mate-desktop.org/

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	mate-common
BuildRequires:	glib2-devel
BuildRequires:	icon-naming-utils
BuildRequires:	autoconf
BuildRequires:	automake

Vendor:         Project Vine
Distribution:   Vine Linux
Packager:       Takemikaduchi

%description
The age of hackers supplying their own artwork is over. For the sake of our
users, please leave the pixelpushin' to the artists. Please file a request
instead.

%prep
%setup -q

%build
(if ! test -x configure; then NOCONFIGURE=1 ./autogen.sh; fi)
%configure
%{__make}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_datadir}/icons/mate
%{_datadir}/icons/menta
%{_datadir}/pkgconfig/mate-icon-theme.pc

%changelog
* Sun Nov  2 2014 Ryoichi INAAGKI <ryo1@toki.waseda.jp> 1.8.0-2
- moved to User Interface/Desktops Group
- updated License (see COPYING)

* Mon Apr 14 2014 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.8.0-1
- new upstream release

* Sun Dec 29 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-2
- rebuild with VineSeed environment

* Sun Sep 22 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.2-1
- new upstream release

* Sun May 19 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.6.0-1
- new upstream release

* Wed Aug 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.0-1
- new upstream release

* Sat May 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.0-1
- new upstream release

* Fri Dec 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.1.0-1
- initial build for Vine Linux

