Name: 		mousepad
Summary: 	A simple text editor for Xfce desltop environment
Summary(ja): 	Xfce デスクトップ環境向けのシンプルなテキストエディタ
Version: 	0.3.0
Release: 	1%{?_dist_release}

License:        GPLv2
Group: 		Applications/Editors

Source0: 	http://www.xfce.org/archive/xfce-%{version}/src/%{name}-%{version}.tar.bz2
Patch0:         00_resensitize-find-button.patch
Patch1:         01_fix-first-replace.patch

BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
BuildRequires: 	dbus-glib-devel >= 0.34
BuildRequires: 	glib2-devel >= 2.12.0
BuildRequires: 	gtk2-devel >= 2.18.0
BuildRequires: 	gtksourceview2-devel 
BuildRequires:  libxfce4ui-devel >= 4.6.0
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Mousepad aims to be an easy-to-use and fast editor. Our target is an
editor for quickly editing text files, not a development environment
or an editor with a huge bunch of plugins.

%prep
%setup -q
#patch0 -p1
#patch1 -p1

%build
%configure --enable-silent-rules
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_datadir}/applications/*.cache

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/update-desktop-database -q %{_datadir}/applications

%postun
/usr/bin/update-desktop-database -q %{_datadir}/applications

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/mousepad
%{_datadir}/applications/*.desktop
#{_datadir}/pixmaps/*.png

%changelog
* Sat Sep 13 2014 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.3.0-1
- updated to 0.3.0
- dropped patch0 and patch1

* Sat Jun 09 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.16-4
- rebuild with Xfce-4.10.0

* Fri Oct 8 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> 0.2.16-3
- added Pacth0,1 from Debian
  - fixed find dialog problem

* Sun May 23 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.16-2
- added Japanese summary
- fixed %%post, %%postun script for running silently

* Sat May 23 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.2.16-1
- new upstream release

* Sat Oct 04 2008 Shu KONNO <owa@bg.wakwak.com> 0.2.13-1vl5
- applied new versioning policy

* Sun Dec 23 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.13-0vl2
- new upstream release.

* Sun Jul 29 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.12-0vl2
- build for VineSeed

* Sat Jul 28 2007 UECHI Yasumasa <uechi@potaway.net> 0.2.12-0vl1
- initial release

