%define real_name Convert-BinHex

Summary: Extract data from Macintosh BinHex files
Name: perl-Convert-BinHex
Version: 1.123
Release: 1%{_dist_release}
License: distributable
Group: Development/Libraries
URL: http://search.cpan.org/dist/Convert-BinHex/

Source: http://www.cpan.org/modules/by-module/Convert/Convert-BinHex-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildArch: noarch
BuildRequires: perl >= 0:5.00503
Requires: perl >= 0:5.00503

%description
Convert-BinHex is a set of Perl classes to extract data from Macintosh
BinHex files.

%prep
%setup -q -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall 

### Clean up buildroot
%{__rm} -rf %{buildroot}%{perl_archlib} %{buildroot}%{perl_vendorarch}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING MANIFEST README*
%doc %{_mandir}/man3/*.3pm*
%dir %{perl_vendorlib}/Convert/
%{perl_vendorlib}/Convert/BinHex.pm
%exclude %{_bindir}/*
%exclude %doc %{_mandir}/man1/*.1*
 
%changelog
* Tue Jul 1 2014 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 1.123-1
- new upstream release.

* Sat Apr 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.119-5
- rebuild with perl-5.12.3

* Sat Jan 17 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 1.119-4
- changed Group to Development/Libraries

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 1.119-3
- rebuilt with Vine Linux.

* Sat Apr 08 2006 Dries Verachtert <dries@ulyssis.org> - 1.119-2.2
- Rebuild for Fedora Core 5.

* Fri Jan 13 2006 Dag Wieers <dag@wieers.com> - 1.119-2
- Cosmetic cleanup.

* Sun Mar 06 2005 Dag Wieers <dag@wieers.com> - 1.119-1
- Initial package. (using DAR)
