%define	module	Crypt-DES
%define name	perl-%{module}
%define	version	2.07
%define	release	1%{_dist_release}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Perl DES encryption module
Group:		Development/Libraries
License:	GPL or Artistic
URL:		http://search.cpan.org/dist/%{module}/
Source:         http://search.cpan.org/CPAN/authors/id/B/BT/BTROTT/%{module}-%{version}.tar.gz

BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Vendor:         Project Vine
Distribution:   Vine Linux

%description
The module implements the Crypt::CBC interface.

%prep
%setup -q -n %{module}-%{version}

%build
CFLAGS="%{optflags}" %{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{_prefix}"
%{__make} 

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# rm -f %{buildroot}%{perl_archlib}/perllocal.pod
# rm -rf %{buildroot}%{perl_vendorarch}/auto/*/*/.packlist
find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_mandir}/man3*/*
%{perl_vendorarch}/Crypt/*
%{perl_vendorarch}/auto/*


%changelog
* Wed Nov  5 2014 Ryoichi INAGAKI <ryo1@toki.waseda.jp> 2.07-1
- updated to 2.07
- moved to Development/Libraries Group

* Fri Jun 27 2014 IWAI, Masaharu <iwaim.sub@gmail.com> 2.05-3
- build with Perl 5.16
- add Requires MODULE_COMPAT_*

* Fri Mar 25 2011 IWAI, Masaharu <iwai@alib.jp> 2.05-2vl6
- build with perl 5.12.3

* Thu May  1 2008 Tomohiro 'Tomo-p' KATO <tomop@teamgedoh.net> 2.05-1
- rebuilt with perl-5.10.0.

* Mon Mar 10 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.05-0vl1
- rebuilt for VineSeed

* Sun Mar 09 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.05-0vl0.43
- rebuilt to release for VinePlus 4.2 

* Tue Mar 04 2008 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 2.05-0vl0.42
- built for Vine 4.2 (testing)

