%define	pkgname	six

# Basic Information
Name:		python-six
Version:	1.8.0
Release:	1%{?_dist_release}
License:	MIT
# /usr/share/doc/rpm-4.11.2/GROUPS_for_vine.txt を参照して Group を修正してください。
Group:		Development/Libraries
URL:		http://pypi.python.org/pypi/six/
Source0:	https://pypi.python.org/packages/source/s/%{pkgname}/%{pkgname}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	Python 2 and 3 compatibility utilities
Summary(ja):	Python 2 および 3 の互換ユーテリティ

# Dependency
Requires:	python
BuildRequires:	python-devel
BuildArch:	noarch

%description
for smoothing over the differences between the Python versions with the goal of
writing Python code that is compatible on both Python versions.  See the
documentation for more information on what is provided.

Six supports every Python version since 2.5.  It is contained in only one Python
file, so it can be easily copied into your project. (The copyright and license
notice must be retained.)

Online documentation is at http://pythonhosted.org/six/.

Bugs can be reported to http://bitbucket.org/gutworth/six.  The code can also be
found there.

For questions about six or porting in general, email the python-porting mailing
list: http://mail.python.org/mailman/listinfo/python-porting


#%%description -l ja
#ここに日本語で詳細を記述してください。

%prep
%setup -q -n six-%{version}

%build
%{__python} setup.py build

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__python} setup.py install --root=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE README
%{python_sitelib}/six-%{version}-py*.egg-info
%{python_sitelib}/six.py*

%changelog
* Sat Sep 20 2014 Yasumichi Akahoshi <yasumichi@vinelinux.org> 1.8.0-1
- initial build for Vine Linux
